__SKB_GSO_SEGMENT(9)

NAME
__skb_gso_segment - Perform segmentation on skb.

SYNOPSIS

struct sk_buff * __skb_gso_segment(struct sk_buff * skb, netdev_features_t features, bool tx_path);

ARGUMENTS

skb
    buffer to segment

features
    features for the output path (see dev->features)

tx_path
    whether it is called in TX path

DESCRIPTION

This function segments the given skb and returns a list of segments.

It may return NULL if the skb requires no segmentation. This is only possible when GSO is used for verifying header integrity.

COPYRIGHT